0
$\begingroup$

I am attempting to run a VQE calculation on the 'ibmq_qasm_simulator'. The job is failing with a series of errors caused by:

qiskit.providers.ibmq.job.exceptions.IBMQJobApiError: "Unable to retrieve result for job 5f46829baa801d001a09d0d7: '404 Client Error: Not Found for url: https://api.quantum-computing.ibm.com/api/Network/ibm-q/Groups/open/Projects/main/Jobs/5f46829baa801d001a09d0d7/resultDownloadUrl. Cannot get presigned download url., Error code: 3202.'"

I have used the same code on the statevector simulator successfully. I have copied the full error message below:

FAILURE: Can not get job id, Resubmit the qobj to get job id. Terra job error: 'Error submitting job: \'(\\\'Connection aborted.\\\', OSError("(110, \\\'ETIMEDOUT\\\')"))\'' 
Traceback (most recent call last):
  File "/opt/conda/lib/python3.7/site-packages/qiskit/providers/ibmq/api/session.py", line 250, in request
    response.raise_for_status()
  File "/opt/conda/lib/python3.7/site-packages/requests/models.py", line 940, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 404 Client Error: Not Found for url: https://api.quantum-computing.ibm.com/api/Network/ibm-q/Groups/open/Projects/main/Jobs/5f46829baa801d001a09d0d7/resultDownloadUrl

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/conda/lib/python3.7/site-packages/qiskit/providers/ibmq/job/ibmqjob.py", line 856, in _retrieve_result
    result_response = self._api.job_result(self.job_id(), self._use_object_storage)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/providers/ibmq/api/clients/account.py", line 243, in job_result
    return self._job_result_object_storage(job_id)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/providers/ibmq/api/clients/account.py", line 263, in _job_result_object_storage
    download_url = job_api.result_url()['url']
  File "/opt/conda/lib/python3.7/site-packages/qiskit/providers/ibmq/api/rest/job.py", line 147, in result_url
    return self.session.get(url).json()
  File "/opt/conda/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/providers/ibmq/api/session.py", line 270, in request
    raise RequestsApiError(message) from ex
qiskit.providers.ibmq.api.exceptions.RequestsApiError: '404 Client Error: Not Found for url: https://api.quantum-computing.ibm.com/api/Network/ibm-q/Groups/open/Projects/main/Jobs/5f46829baa801d001a09d0d7/resultDownloadUrl. Cannot get presigned download url., Error code: 3202.'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "OH-_iqs_length.py", line 90, in <module>
    ret = vqe.run(quantum_instance)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/algorithms/quantum_algorithm.py", line 70, in run
    return self._run()
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/algorithms/minimum_eigen_solvers/vqe.py", line 362, in _run
    optimizer=self.optimizer)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/algorithms/vq_algorithm.py", line 201, in find_minimum
    gradient_function=gradient_fn)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/components/optimizers/slsqp.py", line 87, in optimize
    options=self._options)
  File "/opt/conda/lib/python3.7/site-packages/scipy/optimize/_minimize.py", line 618, in minimize
    constraints, callback=callback, **options)
  File "/opt/conda/lib/python3.7/site-packages/scipy/optimize/slsqp.py", line 423, in _minimize_slsqp
    g = append(fprime(x), 0.0)
  File "/opt/conda/lib/python3.7/site-packages/scipy/optimize/optimize.py", line 327, in function_wrapper
    return function(*(wrapper_args + args))
  File "/opt/conda/lib/python3.7/site-packages/scipy/optimize/slsqp.py", line 63, in approx_jacobian
    jac[i] = (func(*((x0+dx,)+args)) - f0)/epsilon
  File "/opt/conda/lib/python3.7/site-packages/scipy/optimize/optimize.py", line 327, in function_wrapper
    return function(*(wrapper_args + args))
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/algorithms/minimum_eigen_solvers/vqe.py", line 450, in _energy_evaluation
    sampled_expect_op = self._circuit_sampler.convert(self._expect_op, params=param_bindings)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/operators/converters/circuit_sampler.py", line 194, in convert
    param_bindings=param_bindings)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/operators/converters/circuit_sampler.py", line 272, in sample_circuits
    had_transpiled=self._transpile_before_bind)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/quantum_instance.py", line 374, in execute
    self._skip_qobj_validation, self._job_callback)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/aqua/utils/run_circuits.py", line 302, in run_qobj
    results.append(job.result(**qjob_config))
  File "/opt/conda/lib/python3.7/site-packages/qiskit/providers/ibmq/job/ibmqjob.py", line 276, in result
    return self._retrieve_result(refresh=refresh)
  File "/opt/conda/lib/python3.7/site-packages/qiskit/providers/ibmq/job/ibmqjob.py", line 869, in _retrieve_result
    'job {}: {}'.format(self.job_id(), str(err))) from err
qiskit.providers.ibmq.job.exceptions.IBMQJobApiError: "Unable to retrieve result for job 5f46829baa801d001a09d0d7: '404 Client Error: Not Found for url: https://api.quantum-computing.ibm.com/api/Network/ibm-q/Groups/open/Projects/main/Jobs/5f46829baa801d001a09d0d7/resultDownloadUrl. Cannot get presigned download url., Error code: 3202.'"

How can i do about fixing this? Any help would be greatly appreciated!

$\endgroup$
0
$\begingroup$

While it's not always helpful, you can find solutions for most error codes here: https://quantum-computing.ibm.com/docs/manage/errors

In your case since you're running with Qiskit Aqua, it automatically re-submitted the job, as indicated by

FAILURE: Can not get job id, Resubmit the qobj to get job id.

So your VQE calculation should resume once the new job finishes.

| improve this answer | |
$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.